*,
*::before,
*::after {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
  width: 100%;
  max-width: 100%;
  overflow-x: hidden;
}

body {
  font-family: "Quicksand", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;

  background-color: #000;
  color: #000;
  text-align: center;
  min-height: 100vh;
}


/* =========================
   HEADER
========================= */

header {
  width: 100%;
  height: 40vh;
  background-color: #000;
  margin-top: 30px;
  height: 25vh;
}

header h1 {
  color: transparent;
  font-size: small;
  margin-top: -10px;
}

.logo {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  width: 100%;
  height: 100%;

  text-align: center;
  color: transparent;

}

.logo-text {
  font-family: "Momo Signature", cursive;
  font-optical-sizing: auto;
  font-weight: 400;

  color: #fff;
  margin: 0;
  text-align: center;
  font-size: large;
}


/* =========================
   CONSTRUCTION
========================= */

.section-construction {
  width: 100%;
  max-width: 100%;
  overflow: hidden;
  height: 55vh;
}

.section-construction img {
  margin-top: 1rem;
  width: 100%;
  height: 80%;
  object-fit: contain;
}

.section-construction p {
  color: #fff;
  font-size: medium;
}

/* =========================
   FOOTER
========================= */

.footer {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: stretch;
  min-height: 20vh;
  width: 100%;
  max-width: 100%;
  background-color: #494949;
  color: #fff;
  padding: 2rem;
  font-size: 0.85rem;
}

.footer-column {
  flex: 1;
  padding: 0 2rem;
}

.footer-column:not(:last-child) {
  border-right: 1px solid #fff;
}

.footer-line {
  display: flex;
  align-items: center;
  justify-content: center;

  gap: 8px;
}

.footer-line img {
  width: 24px;
  height: 24px;
  flex-shrink: 0;
}

.footer-line p {
  margin: 0;
}

.footer h4 {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 1rem;
}

.footer address,
.footer p {
  margin: 0.5rem 0;
  font-style: normal;
}

.footer a {
  color: #fff;
  text-decoration: none;

  overflow-wrap: anywhere;
}

.footer a:hover {
  color: #ffd108;
}


/* =========================
   RESPONSIVO
========================= */

@media (max-width: 768px) {
  header {
    margin-top: 10px;
    height: 20vh;
  }

  .logo {
    padding-left: 10px;
    padding-right: 10px;
  }

  .content {
    padding: 7px 10px;
    font-size: small;
  }  

  .section-construction img {
    margin-top: 1rem;
    width: 100%;
    height: 85%;
    object-fit: contain;
  }

  .section-construction p {
    color: #fff;
    font-size: small;
  }

  .footer {
    min-height: 10vh;
  }

  .footer address,
  .footer p {
    margin: 0.1rem 0;
  }

  .footer-column {
    flex: 1;
    padding: 0 0.75rem;
  }
}


@media (max-width: 900px) {
  header {
    margin-top: 20px;
  }

  .footer {
    flex-direction: column;
    align-items: stretch;

    gap: 2rem;

    padding: 1.5rem 1rem;
  }

  .footer-column {
    width: 100%;
    padding: 0;
  }

  .footer-column:not(:last-child) {
    border-right: none;
    border-bottom: 1px solid #fff;
    padding-bottom: 2rem;
  }

  .footer-line {
    justify-content: center;
  }
}